with GNATCOM.Dispinterface;

package MSHTML.DispSVGPathSegCurvetoCubicSmoothAbs_Object is

   type DispSVGPathSegCurvetoCubicSmoothAbs_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_pathSegType
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_pathSegType
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pathSegTypeAsLetter
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_x
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_x2
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x2
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y2
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y2
     (This : DispSVGPathSegCurvetoCubicSmoothAbs_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispSVGPathSegCurvetoCubicSmoothAbs_Object;

